## spamfilter 1.1

=== Makefile ===
EMACS = emacs
# EMACS = xemacs
lispdir = ~/elisp
# lispdir = /usr/local/share/emacs/site-lisp

INSTALL = install -c
INSTALL_DATA = ${INSTALL} -m 644
# INSTALL = cp -p
# INSTALL_DATA = ${INSTALL}


all: chasen.elc japanese-tokenizer.elc spamfilter.elc spamfilter-wl.elc spamfilter-mew.elc

install:
	$(INSTALL_DATA) *.el *.elc $(lispdir)

clean:
	rm *.elc

chasen.elc: chasen.el
	$(EMACS) -batch -q -no-site-file -f batch-byte-compile ./chasen.el

japanese-tokenizer.elc: japanese-tokenizer.el
	$(EMACS) -batch -q -no-site-file -f batch-byte-compile ./japanese-tokenizer.el

spamfilter.elc: spamfilter.el
	$(EMACS) -batch -q -no-site-file -l ./chasen.el -l ./japanese-tokenizer.el -f batch-byte-compile ./spamfilter.el

spamfilter-wl.elc: spamfilter-wl.el
	$(EMACS) -batch -q -no-site-file -l ./chasen.el -l ./japanese-tokenizer.el -l ./spamfilter.el -f batch-byte-compile ./spamfilter-wl.el

spamfilter-mew.elc: spamfilter-mew.el
	$(EMACS) -batch -q -no-site-file -l ./chasen.el -l ./japanese-tokenizer.el -l ./spamfilter.el -f batch-byte-compile ./spamfilter-mew.el

## spamfilter 1.3-1

=== debian/changelog ===
spamfilter (1.3-1) frozen unstable; urgency=low

  * Fixed extraneous caret (^) in OBVIOUSLYTO macro

 -- Brian White <bcwhite@pobox.com>  Fri, 22 May 1998 17:12:19 -0400

spamfilter (1.2-1) frozen unstable; urgency=low

  * Fixed TO check to better ignore BCC addresses (Bug#19987)
  * Made install script more accepting of existing setups (Bug#20421)
  * Added pointer to procmail man page for install probs (Bug#20421)

 -- Brian White <bcwhite@pobox.com>  Sat, 11 Apr 1998 15:30:40 -0400

spamfilter (1.1-1) unstable; urgency=low

  * Fixed outgoing-mail check for new exim "Received:" header

 -- Brian White <bcwhite@pobox.com>  Fri,  6 Mar 1998 00:17:10 -0500

spamfilter (1.0-1) unstable; urgency=low

  * First general release

 -- Brian White <bcwhite@pobox.com>  Mon, 9 Feb 1998 13:08:21 -0500

spamfilter (0.4-1) experimental; urgency=low

  * Fixed postinst for hamm

 -- Brian White <bcwhite@pobox.com>  Mon, 19 Jan 1998 17:48:45 -0500

spamfilter (0.3-1) experimental; urgency=low

  * Many improvements
  * Changed to use spamdb for the blacklist.

 -- Brian White <bcwhite@pobox.com>  Fri, 16 Jan 1998 10:31:46 -0500

spamfilter (0.2.0-1) experimental; urgency=low

  * Many improvements
  * Replaced chkmail/addpat scripts with client/server for speed

 -- Brian White <bcwhite@pobox.com>  Tue,  9 Dec 1997 01:17:47 -0500

spamfilter (0.1.0-1) experimental; urgency=low

  * First attempt

 -- Brian White <bcwhite@pobox.com>  Mon, 15 Sep 1997 20:00:29 -0400


Local variables:
mode: debian-changelog
End:

## spamfilter 1.4-1

=== debian/changelog ===
spamfilter (1.4-1) unstable; urgency=low

  * Added relay[0-9]*.uu.net rule for nopassword.rules
  * Added more suggestions in nopassword.rules

 -- Brian White <bcwhite@pobox.com>  Wed, 21 Oct 1998 09:40:57 -0400

=== debian/control ===
Source: spamfilter
Section: mail
Priority: optional
Maintainer: Brian White <bcwhite@pobox.com>
Standards-Version: 2.1.3.2

Package: spamfilter
Architecture: any
Depends: procmail, perl, spamdb, debianutils (>= 1.6), ${shlibs:Depends}
Section: mail
Description: Filter spam from incoming mail
 This package contains a framework to make it easy to filter spam
 (i.e. junk email) from your incoming mail.  It is intended as a
 user-controlled filter that uses "spamdb" instead of being attached
 to the MTA as would otherwise be required.
 .
 All a user has to do is run "spamfilter" and edit one file to set
 personal information (email addresses, etc.) to have a fully
 functional spam filter on their incoming mail.
 .
 Once installed, the filter is infinitely customizable by the
 user via the rules of procmail.

=== debian/rules ===
#! /usr/bin/make -f
###############################################################################
#
# $Id: rules,v 1.6 1998/01/09 00:50:42 bcwhite Exp $
#
# To make the binary distribution package, the ``Debianized'' source package
# and the context diff to the original package, type `./debian/rules dist'.
# Make sure that `debian/rules' is executable before the final distribution
# is made.
#
# Invoke each target with `./debian/rules <target>'.  All targets should be
# invoked with the package root as the current directory.
#
# The `binary' target must be run as root, as it needs to install files with
# specific ownerships.  The `diff' target assumes that you have the original
# source package available, unpacked, in ../$(p)-$(v).orig.
#


package	:= spamfilter


build:
# Builds the binary package.
	cd src; make pattern-client
	touch stamp-build

clean:
# Undoes the effect of `debian/rules build'.
	rm -f stamp-build
	rm -rf debian/tmp debian/files debian/substvars
	cd src; make clean
	find . \( -name "*~" -o -name "#*" \) -exec rm -f {} \;


# Makes a binary package.
binary-indep:
	true

binary-arch:
	test -f stamp-build || make -f debian/rules build
	rm -rf debian/tmp
	find . \( -name "*~" -o -name "#*" \) -exec rm -f {} \;
	:
	mkdir -p debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)
	mkdir -p debian/tmp/usr/lib/$(package)/bin
	mkdir -p debian/tmp/usr/lib/$(package)/perl
	mkdir -p debian/tmp/usr/lib/$(package)/rules
	mkdir -p debian/tmp/usr/lib/$(package)/defaults
	mkdir -p debian/tmp/usr/doc/$(package)/messages
	mkdir -p debian/tmp/usr/bin
	mkdir -p debian/tmp/usr/man/man1
	mkdir -p debian/tmp/usr/lib/spamdb/converters
	:
	for file in bin/* perl/* rules/* defaults/* ; do \
		if [ -f $$file ]; then \
			sed <$$file >debian/tmp/usr/lib/$(package)/$$file \
				-e "s|PACKAGE|$(package)|g" \
				-e "s|SPAMLIB|/usr/lib/$(package)|g" \
				-e "s|SPAMPERL|/usr/lib/$(package)/perl|g" \
				-e "s|SPAMBIN|/usr/lib/$(package)/bin|g" \
				-e "s|SPAMRULES|/usr/lib/$(package)/rules|g" \
				-e "s|SPAMDEFS|/usr/lib/$(package)/defaults|g" \
			; \
		fi; \
	done
	cp man/spamfilter.1 debian/tmp/usr/man/man1
	chmod 644 debian/tmp/usr/man/*/*
	chmod 755 debian/tmp/usr/lib/$(package)/bin/*
	chmod 644 debian/tmp/usr/lib/$(package)/perl/*
	chmod 644 debian/tmp/usr/lib/$(package)/rules/*
	chmod 644 debian/tmp/usr/lib/$(package)/defaults/*
	cd debian/tmp/usr/lib/$(package); ln -s rules/default-settings procmailrc
	mv debian/tmp/usr/lib/$(package)/bin/spamfilter debian/tmp/usr/bin/
	cd doc; for file in * ; do \
		if [ -f $$file ]; then \
			install -m 644 $$file ../debian/tmp/usr/doc/$(package)/$$file; \
		fi; \
	done
	for file in messages/* ; do \
		if [ -f $$file ]; then \
			install -m 644 $$file debian/tmp/usr/doc/$(package)/$$file; \
		fi; \
	done
	:
	install -m 755 -s src/pattern-client debian/tmp/usr/lib/$(package)/bin/chkmail
	cd debian/tmp/usr/lib/$(package)/bin/; rm -f addpat; ln chkmail addpat
	:
	install -m 755 spamdb/converter debian/tmp/usr/lib/spamdb/converters/spamfilter
	:
	cp Change.Log debian/tmp/usr/doc/$(package)/changelog
	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	cd debian/tmp/usr/doc/$(package); find . -type f | xargs gzip -9fv
	cd debian/tmp/usr/man;            find . -type f | xargs gzip -9fv
	cd debian/tmp/usr/doc/$(package); ln -sf ../copyright/GPL.gz copyright.gz
	:
	install -m 755 debian/postinst	debian/tmp/DEBIAN
	dpkg-shlibdeps debian/tmp/usr/lib/$(package)/bin/addpat debian/tmp/usr/lib/$(package)/bin/chkmail
	dpkg-gencontrol -is -ip
	chown -R root.root debian/tmp
	chmod -R go=rX	   debian/tmp
	dpkg --build debian/tmp
	dpkg-name -o -s .. debian/tmp.deb

binary: binary-indep binary-arch
	@echo "Binaries made"

## spamfilter 1.9-1

=== src/Makefile ===
###############################################################################
#
# $Id: Makefile,v 1.2 1997/12/11 22:24:52 bcwhite Exp $
#
# Makefile for spam-filter source
#
BINDIR	= /usr/lib/spamfilter/bin

CC		= cc
CFLAGS	= -Wall -O2


all:	chkmail addpat

pattern-client:	pattern-client.o

chkmail:	pattern-client
	@rm -f $@
	ln pattern-client $@

addpat:	pattern-client
	@rm -f $@
	ln pattern-client $@


clean:
		rm -f *.o *.bak *~ \#* pattern-client chkmail addpat

=== debian/changelog ===
spamfilter (1.9-1) unstable; urgency=low

  * fixed references to documentation files (closes: 95166, 98263)
  * removed references to invalid URLs (closes: 95642)

 -- Brian White <bcwhite@pobox.com>  Thu,  9 Aug 2001 23:19:11 -0400

spamfilter (1.8-1) unstable; urgency=low

  * Updated standards-version

 -- Brian White <bcwhite@pobox.com>  Sat, 13 Jan 2001 23:23:43 -0500

spamfilter (1.7-1) unstable; urgency=low

  * Remove dependancy on "spamdb" (Bug#60195)

 -- Brian White <bcwhite@pobox.com>  Sun,  6 Aug 2000 16:04:49 -0400

spamfilter (1.6-1) unstable; urgency=low

  * Patch to make it compile with glibc2.1 (Bug#31910)
  * Fixed dangling symlink (Bug#43569)

 -- Brian White <bcwhite@pobox.com>  Fri, 27 Aug 1999 15:27:52 -0400

spamfilter (1.5-1) unstable; urgency=low

  * Added more suggestions in nopassword.rules
  * Updated perl dependency (Bug#41500)

 -- Brian White <bcwhite@pobox.com>  Tue, 27 Jul 1999 10:06:53 -0400

=== debian/control ===
Source: spamfilter
Section: mail
Priority: optional
Maintainer: Brian White <bcwhite@pobox.com>
Standards-Version: 3.1.1.1

Package: spamfilter
Architecture: any
Depends: procmail, perl5, debianutils (>= 1.6), ${shlibs:Depends}
Suggests: spamdb
Section: mail
Description: Filter spam from incoming mail
 This package contains a framework to make it easy to filter spam
 (i.e. junk email) from your incoming mail.  It is intended as a
 user-controlled filter instead of being attached to the MTA as
 would otherwise be required.
 .
 All a user has to do is run "spamfilter" and edit one file to set
 personal information (email addresses, etc.) to have a fully
 functional spam filter on their incoming mail.
 .
 Once installed, the filter is infinitely customizable by the
 user via the rules of procmail.

=== debian/rules ===
--- 
+++ 
@@ -42,14 +42,14 @@
 	rm -rf debian/tmp
 	find . \( -name "*~" -o -name "#*" \) -exec rm -f {} \;
 	:
-	mkdir -p debian/tmp/DEBIAN debian/tmp/usr/doc/$(package)
+	mkdir -p debian/tmp/DEBIAN debian/tmp/usr/share/doc/$(package)
 	mkdir -p debian/tmp/usr/lib/$(package)/bin
 	mkdir -p debian/tmp/usr/lib/$(package)/perl
 	mkdir -p debian/tmp/usr/lib/$(package)/rules
 	mkdir -p debian/tmp/usr/lib/$(package)/defaults
-	mkdir -p debian/tmp/usr/doc/$(package)/messages
+	mkdir -p debian/tmp/usr/share/doc/$(package)/messages
 	mkdir -p debian/tmp/usr/bin
-	mkdir -p debian/tmp/usr/man/man1
+	mkdir -p debian/tmp/usr/share/man/man1
 	mkdir -p debian/tmp/usr/lib/spamdb/converters
 	:
 	for file in bin/* perl/* rules/* defaults/* ; do \
@@ -64,8 +64,9 @@
 			; \
 		fi; \
 	done
-	cp man/spamfilter.1 debian/tmp/usr/man/man1
-	chmod 644 debian/tmp/usr/man/*/*
+	cp man/spamfilter.1	debian/tmp/usr/share/man/man1
+	cp debian/copyright	debian/tmp/usr/share/doc/$(package)
+	chmod 644 debian/tmp/usr/share/man/*/*
 	chmod 755 debian/tmp/usr/lib/$(package)/bin/*
 	chmod 644 debian/tmp/usr/lib/$(package)/perl/*
 	chmod 644 debian/tmp/usr/lib/$(package)/rules/*
@@ -74,12 +75,12 @@
 	mv debian/tmp/usr/lib/$(package)/bin/spamfilter debian/tmp/usr/bin/
 	cd doc; for file in * ; do \
 		if [ -f $$file ]; then \
-			install -m 644 $$file ../debian/tmp/usr/doc/$(package)/$$file; \
+			install -m 644 $$file ../debian/tmp/usr/share/doc/$(package)/$$file; \
 		fi; \
 	done
 	for file in messages/* ; do \
 		if [ -f $$file ]; then \
-			install -m 644 $$file debian/tmp/usr/doc/$(package)/$$file; \
+			install -m 644 $$file debian/tmp/usr/share/doc/$(package)/$$file; \
 		fi; \
 	done
 	:
@@ -88,11 +89,12 @@
 	:
 	install -m 755 spamdb/converter debian/tmp/usr/lib/spamdb/converters/spamfilter
 	:
-	cp Change.Log debian/tmp/usr/doc/$(package)/changelog
-	cp debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
-	cd debian/tmp/usr/doc/$(package); find . -type f | xargs gzip -9fv
-	cd debian/tmp/usr/man;            find . -type f | xargs gzip -9fv
-	cd debian/tmp/usr/doc/$(package); ln -sf ../copyright/GPL.gz copyright.gz
+	cp Change.Log debian/tmp/usr/share/doc/$(package)/changelog
+	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog.Debian
+	cd debian/tmp/usr/share/doc/$(package); find . -type f | xargs gzip -9fv
+	cd debian/tmp/usr/share/man;            find . -type f | xargs gzip -9fv
+	gunzip debian/tmp/usr/share/doc/$(package)/copyright
+#	cd debian/tmp/usr/share/doc/$(package); ln -sf ../copyright/GPL copyright
 	:
 	install -m 755 debian/postinst	debian/tmp/DEBIAN
 	dpkg-shlibdeps debian/tmp/usr/lib/$(package)/bin/addpat debian/tmp/usr/lib/$(package)/bin/chkmail
